<?php
/*
Plugin Name: Divi Responsive Helper
Description: Make your website look great and function well on all devices with the help of our huge suite of over 50 awesome features and unique settings in this ultimate Divi responsive toolkit!
Version: 2.5
Author: Pee-Aye Creative
Plugin URI: https://www.peeayecreative.com/product/divi-responsive-helper
Author URI: https://www.peeayecreative.com/
Update URI: https://www.peeayecreative.com/
Text Domain: divi-responsive-helper
Domain Path: /languages/
License:     GPL2
License URI: https://www.gnu.org/licenses/gpl-2.0.html

Divi Responsive Helper is free software: you can redistribute it and/or modify
it under the terms of the GNU General Public License as published by
the Free Software Foundation, either version 2 of the License, or
any later version.

Divi Responsive Helper is distributed in the hope that it will be useful,
but WITHOUT ANY WARRANTY; without even the implied warranty of
MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the
GNU General Public License for more details.

You should have received a copy of the GNU General Public License
along with Divi Responsive Helper. If not, see https://www.gnu.org/licenses/gpl-2.0.html.

-----------------------------------------------------------
*/
// Ensure script doesn't run outside of WordPress environment
if (!defined('ABSPATH')) {
    exit;
}
// Define plugin file if not already defined
if (!defined('PAC_DRH_PLUGIN_FILE')):
    define('PAC_DRH_PLUGIN_FILE', __FILE__);
endif;
// Define plugin URL if not already defined
if (!defined('PAC_DRH_PLUGIN_URL')):
    define('PAC_DRH_PLUGIN_URL', plugin_dir_url(__FILE__));
endif;
// Define plugin basename if not already defined
if (!defined('PAC_DRH_PLUGIN_BASENAME')):
    define('PAC_DRH_PLUGIN_BASENAME', plugin_basename(__FILE__));
endif;
// Define plugin directory if not already defined
if (!defined('PAC_DRH_PLUGIN_DIR')):
    define('PAC_DRH_PLUGIN_DIR', __DIR__);
endif;
// Define plugin version if not already defined
if (!defined('PAC_DRH_PLUGIN_VERSION')):
    define('PAC_DRH_PLUGIN_VERSION', '2.5');
endif;
// Define whether plugin is in development mode if not already defined
if (!defined('PAC_DRH_PLUGIN_DEV_MOD')):
    define('PAC_DRH_PLUGIN_DEV_MOD', false);
endif;
// Load necessary files and setup functions for the plugin
$base_dir = __DIR__.'/includes/';
require_once $base_dir."lib/Mobile_Detect.php";
require_once $base_dir.'helpers.php';
require_once $base_dir.'setup/plugin-setup.php';
require_once $base_dir.'setup/theme-options.php';
require_once $base_dir.'setup/admin-resources.php';
require_once $base_dir.'setup/public-resources.php';
require_once $base_dir.'bootstrap.php';

// LICENSE MANAGER CODE BEGINS HERE
if(!defined('WOO_SLT_DRH_PATH_DRH'))
define('WOO_SLT_DRH_PATH_DRH',   plugin_dir_path(__FILE__));
if(!defined('WOO_SLT_DRH_URL_DRH'))
define('WOO_SLT_DRH_URL_DRH',    plugins_url('', __FILE__));
if(!defined('WOO_SLT_DRH_APP_API_URL_DRH'))
define('WOO_SLT_DRH_APP_API_URL_DRH',      'https://www.peeayecreative.com/product/divi-responsive-helper/');

if(!defined('WOO_SLT_DRH_VERSION_DRH'))
define('WOO_SLT_DRH_VERSION_DRH', '2.5.0');
if(!defined('WOO_SLT_DRH_DB_VERSION_DRH'))
define('WOO_SLT_DRH_DB_VERSION_DRH', '2.5.0'); 

if(!defined('WOO_SLT_DRH_PRODUCT_ID_DRH'))
define('WOO_SLT_DRH_PRODUCT_ID_DRH',           'PA-DRH');
if(!defined('WOO_SLT_DRH_INSTANCE_DRH'))
define('WOO_SLT_DRH_INSTANCE_DRH',             str_replace(array ("https://" , "http://"), "", network_site_url()));


if(!class_exists('WOO_SLT_DRH'))
include_once(WOO_SLT_DRH_PATH_DRH . '/license/class.wooslt.php');
if(!class_exists('WOO_SLT_DRH_licence'))
include_once(WOO_SLT_DRH_PATH_DRH . '/license/class.licence.php');
if(!class_exists('WOO_SLT_DRH_options_interface'))
include_once(WOO_SLT_DRH_PATH_DRH . '/license/class.options.php');
if(!class_exists('WOO_SLT_DRH_CodeAutoUpdate'))
include_once(WOO_SLT_DRH_PATH_DRH . '/license/class.updater.php');

function WOO_SLT_DRH_DRH_activated() 
    {

    }

function WOO_SLT_DRH_DRH_deactivated() 
    {

    }

global $WOO_SLT_DRH;
$WOO_SLT_DRH = new WOO_SLT_DRH()

?>